Skip to content

workspaces_members_list

GET
/api/workspaces/{workspace_pk}/members
curl --request GET \
--url https://example.com/api/workspaces/2489E9AD-2EE2-8E00-8EC9-32D5F69181C0/members \
--header 'Authorization: Bearer <token>'

Retrieve the list of workspace members for a specific workspace.

workspace_pk
required
string format: uuid
p
integer

A page number within the paginated result set.

page_size
integer

Number of results to return per page.

search
string

A search term.

user
string
Media typeapplication/json
object
count
required
integer
next
string format: uri
nullable
previous
string format: uri
nullable
results
required
Array<object>

Serializer for WorkspaceMember model.

object
id
required
string format: uuid
user
required
string format: uuid
role
required
  • owner - owner
  • member - member
string
Allowed values: owner member
workspace
string format: uuid
created_time
required
string format: date-time
created_by
required

Return the interactor information of the object’s creator.

Parameters

obj : WorkspaceMember The object containing the creator information.

Returns

dict The interactor information of the creator.

object
key
additional properties
last_edited_time
required
string format: date-time
last_edited_by
required

Return information about the last interactor who edited the object.

Parameters

obj : WorkspaceMember The object containing the last editor information.

Returns

dict The interactor information of the last editor.

object
key
additional properties

Example

{
"count": 123,
"next": "http://api.example.org/accounts/?p=4",
"previous": "http://api.example.org/accounts/?p=2",
"results": [
{
"role": "owner"
}
]
}
Media typeapplication/json
object
code
required
string
>= 1 characters
message
required
string
>= 1 characters
details
required
Array<object>
object
parameter
string
nullable
code
string
nullable
message
string

Example

{
"code": "uri_validation_error",
"message": "Invalid URI parameters. Check the `details` property for more details.",
"details": [
{
"parameter": "workspace",
"code": "invalid",
"message": "\"<parameter_value>\" is not a valid UUID."
}
]
}
Media typeapplication/json
object
code
required
string
>= 1 characters
message
required
string
>= 1 characters
details
required
Array<object>
object
parameter
string
nullable
code
string
nullable
message
string

Example

{
"code": "forbidden",
"message": "You do not have permission to perform this operation. Check the `details` property for more details.",
"details": [
{
"parameter": "workspace",
"code": "not_allowed",
"message": "You are not a member of this workspace."
}
]
}
Media typeapplication/json
object
code
required
string
>= 1 characters
message
required
string
>= 1 characters
details
required
Array<object>
object
parameter
string
nullable
code
string
nullable
message
string

Example

{
"code": "object_not_found",
"message": "Object not found. Check the `details` property for more details.",
"details": [
{
"parameter": "<id>",
"code": "does_not_exist",
"message": "\"<id>\" does not exist."
}
]
}